
Katello - Tracker #9259

Rails 4 feature

02/06/2015 11:54 AM - Eric Helms

Status: Resolved % Done: 0%

Priority: Normal   

Assignee:    

Category: Hosts   

Target version: Katello 3.0.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Related issues:

Related to Katello - Bug #12894: updating cdn url results in ISE Closed 12/21/2015

Related to Katello - Bug #12880: Redhat Repos page does not load with rails 4 Closed 12/18/2015

Related to Katello - Bug #12898: creating a host with content view and lifecy... Closed 12/21/2015

Related to Katello - Bug #12897: creating a hostgroup fails with mass assignm... Closed 12/21/2015

Related to Katello - Bug #12985: Dynflow console not showing properly on Task... Resolved 01/04/2016

Blocked by Katello - Feature #9260: As a developer I want to fix any code tha... Resolved 02/06/2015

Blocked by Packaging - Feature #9261:  As a developer I want to package all o... Closed

Blocked by Katello - Bug #5158: Remove attr_accessible from Katello Duplicate 04/11/2014

Blocked by Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Blocked by Katello - Bug #13045: Migrations break under sqlite3 1.3.X Closed 01/07/2016

History

#1 - 02/06/2015 11:56 AM - Eric Helms

- Blocked by Feature #9260: As a developer I want to fix any code that is no longer compatible with Rails 4 and find everything that is broken added

#2 - 02/06/2015 11:57 AM - Eric Helms

- Blocked by Feature #9261:  As a developer I want to package all of our dependencies into the Foreman SCL and ROR 41 SCL added

#3 - 02/06/2015 11:58 AM - Eric Helms

- Blocks Tracker #3157: Rails 4.1 upgrade tasks added

#4 - 12/21/2015 11:08 AM - Eric Helms

- Blocked by Bug #5158: Remove attr_accessible from Katello added

#5 - 12/21/2015 02:20 PM - John Mitsch

- Subject changed from Update Katello to Rails 4 to Rails 4 feature

#6 - 12/21/2015 02:21 PM - John Mitsch

- Related to Bug #12894: updating cdn url results in ISE added

#7 - 12/21/2015 02:21 PM - John Mitsch

- Related to Bug #12880: Redhat Repos page does not load with rails 4 added

#8 - 12/21/2015 02:21 PM - John Mitsch

- Related to Bug #12898: creating a host with content view and lifecycle enviroment fails with mass security assignment added

#9 - 12/21/2015 02:21 PM - John Mitsch
- Related to Bug #12897: creating a hostgroup fails with mass assignment error added

#10 - 12/21/2015 02:21 PM - John Mitsch

- Related to Bug #12899: creating a new host with hostgroup does not populate environment, content view, or lifecycle environment added

#11 - 12/21/2015 02:24 PM - John Mitsch

This is to keep track of the Rails 4 feature as a whole. The feature isn't considered done until any bugs introduced by the migration are resolved and 

any remaining to-dos from the migration are complete.

#12 - 12/21/2015 03:19 PM - John Mitsch

- Related to Bug #12903: rake katello::clean_backend_objects not working added

#13 - 12/21/2015 10:30 PM - Eric Helms

- translation missing: en.field_release set to 86

#14 - 12/22/2015 05:51 AM - Dominic Cleal

- Blocks deleted (Tracker #3157: Rails 4.1 upgrade tasks)

#15 - 12/22/2015 05:51 AM - Dominic Cleal

- Blocked by Tracker #3157: Rails 4.1 upgrade tasks added

#16 - 01/04/2016 03:20 PM - John Mitsch

- Related to Bug #12985: Dynflow console not showing properly on Tasks page added

#17 - 01/07/2016 08:48 AM - Eric Helms

- Blocked by Bug #13045: Migrations break under sqlite3 1.3.X added

#18 - 01/07/2016 10:00 AM - John Mitsch

- Related to Bug #13021: creating new content view via API when specifying repository id fails added

#19 - 01/08/2016 09:42 AM - John Mitsch

- Related to Bug #13085:  duplicate key value violates unique constraint errors added

#20 - 03/01/2016 05:43 PM - Eric Helms

- Related to deleted (Bug #13085:  duplicate key value violates unique constraint errors)

#21 - 03/01/2016 05:43 PM - Eric Helms

- Related to deleted (Bug #13021: creating new content view via API when specifying repository id fails)

#22 - 03/01/2016 05:44 PM - Eric Helms

- Related to deleted (Bug #12903: rake katello::clean_backend_objects not working)

#23 - 03/01/2016 05:44 PM - Eric Helms

- Related to deleted (Bug #12899: creating a new host with hostgroup does not populate environment, content view, or lifecycle environment)

#24 - 03/01/2016 05:45 PM - Eric Helms

- Status changed from New to Resolved
